﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections;
using Telerik.Windows.Data;
using System.Collections.Specialized;
using System.ComponentModel.DataAnnotations;

namespace DeleteFromEntitySet.Web
{
    public partial class Artist
    {
        private RadObservableCollection<Album> albumList;

        public event NotifyCollectionChangedEventHandler AlbumsChanged;

        [Display(AutoGenerateField = false)]
        public IEnumerable AlbumList
        {
            get
            {
                if (this.albumList == null)
                {
                    this.albumList = new RadObservableCollection<Album>();
                    this.albumList.AddRange(this.Albums);

                    this.albumList.CollectionChanged += this.OnAlbumListCollectionChanged;
                }

                return this.albumList;
            }
        }

        private void OnAlbumListCollectionChanged(object sender, NotifyCollectionChangedEventArgs e)
        {
            this.RaiseAlbumsChangedEvent(e);
        }

        private void RaiseAlbumsChangedEvent(NotifyCollectionChangedEventArgs args)
        {
            if (this.AlbumsChanged != null)
	        {
                this.AlbumsChanged(this, args);
            }
        }
    }
}
